# $Revision: 1.62.2.3 $, $Date: 2006-12-18 21:33:52 $
#
# Conditional build:
%bcond_without	initrd	# don't build initrd version
%bcond_without	uClibc	# link initrd version with static glibc instead of uClibc
%bcond_without	clvmd	# do not build clvmd
%bcond_without	selinux	# disable SELinux
#
%ifarch %{x8664} sparc64 sparc
%undefine	with_uClibc
%endif
Summary:	The new version of Logical Volume Manager for Linux
Summary(pl):	Nowa wersja Logical Volume Managera dla Linuksa
Name:		lvm2
Version:	2.01.15
Release:	2
License:	GPL
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/lvm2/LVM2.%{version}.tgz
# Source0-md5:	c71654baff263254fb5a226624ee8ef3
%define	devmapper_ver	1.01.05
Source1:	ftp://sources.redhat.com/pub/dm/device-mapper.%{devmapper_ver}.tgz
# Source1-md5:	074cf116cc2c7194f2d100bc5f743833
URL:		http://sources.redhat.com/lvm2/
Patch0:		%{name}-sscanf.patch
Patch1:		device-mapper-ac.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	device-mapper-devel >= %{devmapper_ver}
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.10}
BuildRequires:	rpmbuild(macros) >= 1.213
%if %{with initrd}
%{!?with_uClibc:BuildRequires:	glibc-static}
%{?with_uClibc:BuildRequires:	uClibc-static >= 0.9.26}
%endif
%if %{with clvmd}
BuildRequires:	ccs-devel
BuildRequires:	dlm-devel >= 1.0-0.pre21.2
BuildRequires:	gulm-devel >= 1.0-0.pre26.2
%endif
BuildRequires:	readline-devel
Requires:	device-mapper
Requires:	dlm >= 1.0-0.pre21.2
%{?with_clvmd:Requires:	gulm >= 1.0-0.pre26.2}
%{?with_selinux:Requires:	libselinux >= 1.10}
Obsoletes:	lvm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_libdir		/%{_lib}

# CFLAGS changed during %%build
%undefine	configure_cache

%description
This package includes a number of utilities for creating, checking,
and repairing logical volumes.

%description -l pl
Pakiet ten zawiera narzdzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenw dyskowych (LVM2).

%package initrd
Summary:	The new version of Logical Volume Manager for Linux - initrd version
Summary(pl):	Nowa wersja Logical Volume Managera dla Linuksa - wersja dla initrd
Group:		Base

%description initrd
This package includes a number of utilities for creating, checking,
and repairing logical volumes - staticaly linked for initrd.

%description initrd -l pl
Pakiet ten zawiera narzdzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenw dyskowych (LVM2) - statycznie skonsolidowane na
potrzeby initrd.

%prep
%setup -q -n LVM2.%{version} -a1
%patch0 -p1
cd device-mapper*
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub autoconf
%{__aclocal}
%{__autoconf}

%if %{with initrd}
dm=$(ls -1d device-mapper*)
cd $dm
# no selinux for initrd
sed -i -e 's#AC_CHECK_LIB(selinux.*##g' configure.in
cp -f /usr/share/automake/config.sub autoconf
%{__aclocal}
%{__autoconf}
%configure \
        %{?with_uClibc:CC="%{_target_cpu}-uclibc-gcc"} \
	--with-optimisation="-Os" \
        --with-interface=ioctl \
	--disable-nls
unset CFLAGS || :
%{__make}
ar cru libdevmapper.a lib/ioctl/*.o lib/*.o
ranlib libdevmapper.a
cd ..
%configure \
	CFLAGS="-I$(pwd)/${dm}/include -DINITRD_WRAPPER=1" \
	%{?with_uClibc:CC="%{_target_cpu}-uclibc-gcc"} \
	ac_cv_lib_dl_dlopen=no \
	--with-optimisation="-Os" \
	--enable-static_link \
	--with-lvm1=internal \
	--disable-selinux \
	--disable-nls
%{__make} \
	LDFLAGS+="-L$(pwd)/${dm} -L$(pwd)/lib"
mv -f tools/lvm.static initrd-lvm
%{__make} clean
%endif

%configure \
	CFLAGS="%{rpmcflags}" \
	--enable-readline \
	--enable-fsadm \
	%{?with_clvmd:--with-clvmd} \
	--with-lvm1=internal \
	--with-pool=internal \
	--with-cluster=internal \
	--with-snapshots=internal \
	--with-mirrors=internal \
	%{!?with_selinux:--disable-selinux}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/lvm

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	OWNER="" \
	GROUP=""

touch $RPM_BUILD_ROOT%{_sysconfdir}/lvm/lvm.conf

%{?with_initrd:install initrd-lvm $RPM_BUILD_ROOT%{_sbindir}/initrd-lvm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README WHATS_NEW doc/*
%attr(755,root,root) %{_sbindir}/*
%{?with_initrd:%exclude %{_sbindir}/initrd-lvm}
%{_mandir}/man?/*
%attr(750,root,root) %dir %{_sysconfdir}/lvm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lvm/lvm.conf

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/initrd-lvm
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lvm2.spec,v $
Revision 1.62.2.3  2006-12-18 21:33:52  glen
- rel 2

Revision 1.62.2.2  2006/12/18 21:04:48  glen
- add device-mapper-ac.patch

Revision 1.62.2.1  2006/12/18 13:24:53  agaran
- sscanf patch fixing pvmove crash (at least for me on 2.6.x. kernel)

Revision 1.62  2005/10/19 16:16:16  arekm
- up to 2.01.15

Revision 1.61  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.60  2005/08/23 13:42:32  baggins
- no spaces in bconds

Revision 1.59  2005/08/09 22:06:29  areq
- fix  Requires without clvmd

Revision 1.58  2005/08/06 15:27:26  qboosh
- updated to 2.01.14, dm 1.01.04

Revision 1.57  2005/06/20 18:44:07  baggins
- release 3
- strict BR

Revision 1.56  2005/06/20 12:21:42  baggins
- release 2
- strict req dlm in gulm (lvm2 must have them in /lib)

Revision 1.55  2005/06/18 18:31:14  qboosh
- use device-mapper 1.01.03

Revision 1.54  2005/06/18 17:50:34  areq
- 2.01.12

Revision 1.53  2005/05/29 06:32:42  paszczus
- updated LVM2 to 2.01.10
- updated dm to 1.01.02
- STBR

Revision 1.52  2005/05/25 09:32:54  speedy
- BR in proper place...
- rel 2

Revision 1.51  2005/05/21 14:09:06  speedy
- BR: readline-devel

Revision 1.50  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.49  2005/04/14 21:18:45  qboosh
- it's sufficient to rebuild main configure once
- updated cluster BRs

Revision 1.48  2005/04/10 10:55:17  paszczus
- adaptarized

Revision 1.47  2005/04/06 19:37:32  paszczus
- updated lvm2 to 2.01.09
- updated dm to 1.01.01

Revision 1.46  2005/01/19 22:06:55  adamg
- added %%bcond_without selinux

Revision 1.45  2005/01/15 22:14:36  qboosh
- device-mapper updated to 1.00.21

Revision 1.44  2005/01/09 17:50:21  adamg
- updated to 2.00.33

Revision 1.43  2005/01/05 11:47:42  qboosh
- disable shared modules in (static) initrd version

Revision 1.42  2005/01/03 20:25:00  adamg
- updated to 2.00.32

Revision 1.41  2004/12/16 11:32:52  adamg
- updated to 2.00.31

Revision 1.40  2004/12/10 23:34:23  adamg
- updated to 2.00.30

Revision 1.39  2004/11/23 21:01:13  arekm
- updated to 2.00.26

Revision 1.38  2004/10/25 12:05:19  arekm
- rel1

Revision 1.37  2004/10/17 23:14:10  adamg
- updated to 2.00.25

Revision 1.36  2004/09/16 13:56:21  arekm
- updated to 2.00.23

Revision 1.35  2004/09/03 22:09:14  arekm
- updated to 2.00.22

Revision 1.34  2004/08/15 22:12:14  havner
- rel 2

Revision 1.33  2004/07/29 22:00:38  qboosh
- fixed wrong libdir define (unused?)

Revision 1.32  2004/07/03 20:29:06  arekm
- updated to 2.00.20; all patches obsolete now, kudos to agk@rh

Revision 1.31  2004/07/02 22:52:54  arekm
- patches obsolete; cluster is conditional now

Revision 1.30  2004/06/26 23:16:51  arekm
- enable cluster daemon

Revision 1.29  2004/06/24 17:32:33  arekm
- updated to 2.00.18

Revision 1.28  2004/06/24 12:43:00  arekm
- enable other stuff like pool/mirror/snapshots

Revision 1.27  2004/06/23 13:46:50  arekm
- rel 2; fixes initrd-lvm (CFLAGS= overrided configure settings and devicemapper was lost)

Revision 1.26  2004/06/20 17:13:53  arekm
- updated to 2.00.17

Revision 1.25  2004/05/27 21:39:27  qboosh
- R: libselinux >= 1.10, dropped obsolete CONFIG_DM_IOCTL_V4, optflags fix

Revision 1.24  2004/05/25 01:07:06  arekm
- updated to 2.00.16

Revision 1.23  2004/05/06 17:24:45  qboosh
- fixed opt patch, changed the way of hacking CFLAGS to preserve -fPIC
- support linking initrd version with static glibc on platforms w/o uClibc

Revision 1.22  2004/04/24 13:03:48  mmazur
- gkh patch unneeded

Revision 1.21  2004/04/23 18:25:45  arekm
- updated to 2.0.15

Revision 1.20  2004/04/01 00:43:18  arekm
- updated to 2.00.09

Revision 1.19  2004/03/05 14:39:07  andree
- copy config.sub

Revision 1.18  2004/01/25 19:54:14  arekm
- initrd builds with new uClibc

Revision 1.17  2004/01/25 00:12:22  arekm
- more initrd/gkh work

Revision 1.16  2004/01/24 00:59:52  arekm
- changing initrd bcond to make it usable (but for now it's off by default)

Revision 1.15  2003/11/30 19:00:15  arekm
- require latest device-mapper (BR)

Revision 1.14  2003/11/28 22:07:33  qboosh
- updated to 2.00.08, added opt patch, new-style bcond

Revision 1.13  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.12  2003/09/16 20:26:48  arekm
- updated to 2.00.07

Revision 1.11  2003/08/20 23:47:23  arekm
- updated to 2.00.06

Revision 1.10  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.9  2003/08/04 21:18:28  areq
- remove BUGS form doc

Revision 1.8  2003/07/18 22:26:43  arekm
- updated to 2.00.05 but not tested

Revision 1.7  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/22 13:20:58  baggins
- add missing dirs

Revision 1.4  2003/04/15 17:37:33  baggins
- obsoletes lvm

Revision 1.3  2003/04/15 17:37:08  baggins
- now it builds (don't know if works ;)

Revision 1.2  2003/04/15 17:18:00  baggins
- it compiles

Revision 1.1  2003/04/15 16:18:52  baggins
- raw, copied from lvm.spec
